package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SobTaxLinkPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SobTaxLinkMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SobTaxLinkPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SobTaxLinkPO> listSome(SobTaxLinkPO sobTaxLink);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SobTaxLinkPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param sobTaxLink 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SobTaxLinkPO sobTaxLink);

	/**
     * 修改，修改所有字段
     *
     * @param sobTaxLink 修改的记录
     * @return 返回影响行数
     */
	int update(SobTaxLinkPO sobTaxLink);
	
	/**
     * 修改，忽略null字段
     *
     * @param sobTaxLink 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SobTaxLinkPO sobTaxLink);
	
	/**
     * 删除记录
     *
     * @param sobTaxLink 待删除的记录
     * @return 返回影响行数
     */
	int delete(SobTaxLinkPO sobTaxLink);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

	void deleteBySobId(Long id);

    int count();

}